curl --request GET \
--url https://api.dev.name.com/core/v1/domains/{domainName}/vanity_nameservers \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.dev.name.com/core/v1/domains/{domainName}/vanity_nameservers"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.dev.name.com/core/v1/domains/{domainName}/vanity_nameservers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"vanityNameservers": [],
"lastPage": 5,
"nextPage": 2
}{
"message": "Bad Request",
"details": "'domainName' cannot be null"
}{
"message": "Unauthorized"
}{
"message": "Permission denied",
"details": "Failed authentication"
}{
"message": "Not Found",
"details": "The requested domain does not exist."
}{
"message": "Method Not Allowed"
}{
"message": "Rate Limit Exceeded"
}{
"message": "Internal Server Error",
"details": "Something went wrong."
}{
"message": "The server received an invalid response from the upstream server."
}{
"message": "Service Unavailable",
"details": "The API is offline for scheduled maintenance. See https://status.name.com for updates."
}{
"message": "The upstream server is taking too long to respond."
}List Vanity Nameservers
Lists all vanity nameserver hostnames configured for a domain.
Authorizations
Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.
Path Parameters
The domain name to list vanity nameservers for.
"example.com"
Query Parameters
The number of records to return per page. Defaults to 500. Maximum number of records to return per page for paginated list endpoints.
1 <= x <= 100050
The page number to return.
x >= 12
Response
List of vanity nameservers.
ListVanityNameserversResponse returns the list of vanity nameservers for the domain.
VanityNameservers is the list of vanity nameservers associated with the domain. If no vanity nameservers are configured, this will be an empty array.
Show child attributes
Show child attributes
[]
LastPage is the identifier for the final page of results. It is only populated if there is another page of results after the current page. If no further pages exist, this field will be null.
x >= 15
NextPage is the identifier for the next page of results. It is only populated if there is another page of results after the current page. If no further pages exist, this field will be null.
x >= 12
Was this page helpful?